# from django.shortcuts import render
from mongoengine import connect
from decouple import config
from logger.models import LogConsultaDispositivo, LogTablaUsuario
import datetime

dbname = config('DB_MONGO_NAME', 'nombre_basedatos')
dbhost = config('DB_MONGO_HOST', 'localhost')
dbport = int(config('DB_MONGO_PORT', '27017'))
dbuser = config('DB_MONGO_USER', 'usuario')
dbpass = config('DB_MONGO_PASS', 'contrasena')

connect(db=dbname, host=dbhost, port=dbport, username=dbuser, password=dbpass, authentication_source='admin')

# Create your views here.
def save_log_dispositivo(id_dispositivo, accion_url):
    try:
        # connect(db=dbname, host=dbhost, port=dbport, username=dbuser, password=dbpass, authentication_source='admin')
        nuevo_registro = LogConsultaDispositivo(
            id_dispositivo = id_dispositivo,
            accion_url = accion_url,
            fecha_hora = datetime.datetime.now()
        )
        nuevo_registro.save()
        return True
    except Exception as err:
        print(err, flush=True)
        return False
    

def save_log_usuario(accion_tabla, rut_tabla, login_tabla, rut_ejecutor, login_ejecutor):
    try:
        print(rut_tabla, flush=True)
        print(rut_ejecutor, flush=True)

        # connect(db=dbname, host=dbhost, port=dbport, username=dbuser, password=dbpass, authentication_source='admin')
        nuevo_registro = LogTablaUsuario(
            accion_tabla = accion_tabla,
            rut_tabla = str(rut_tabla),
            login_tabla = str(login_tabla),
            rut_ejecutor = str(rut_ejecutor),
            login_ejecutor = str(login_ejecutor),
            fecha_hora = datetime.datetime.now()
        )
        nuevo_registro.save()
        return True
    except Exception as err:
        print(err, flush=True)
        return False
    